Package org.gitana.platform.client.changeset

# Interface Changeset

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `RepositoryDocument`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `ChangesetImpl`

public interface Changeset extends RepositoryDocument

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ACTIVE`
`static final String`
`FIELD_BRANCH`
`static final String`
`FIELD_PARENTS`
`static final String`
`FIELD_REV`
`static final String`
`FIELD_SUMMARY`
`static final String`
`FIELD_TAGS`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTag(String tag)`
`Branch`
`getBranch()`
`String`
`getBranchId()`
`String`
`getId()`
Gets the id of the document.
`List<String>`
`getParentChangesetIds()`
`int`
`getRev()`
`String`
`getSummary()`
`String[]`
`getTags()`
`boolean`
`hasTag(String tag)`
`boolean`
`isActive()`
`org.gitana.platform.support.ResultMap<BaseNode>`
`listNodes()`
`void`
`removeTag(String tag)`
`void`
`setActive(boolean active)`
`void`
`setParentChangesetIds(List<String> parentChangesetIds)`
`void`
`setSummary(String summary)`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.repository.RepositoryDocument

`getRepository, getRepositoryId`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getTypeId`

## Field Details

### FIELD_REV

static final String FIELD_REV

See Also:
  - Constant Field Values

### FIELD_TAGS

static final String FIELD_TAGS

See Also:
  - Constant Field Values

### FIELD_SUMMARY

static final String FIELD_SUMMARY

See Also:
  - Constant Field Values

### FIELD_ACTIVE

static final String FIELD_ACTIVE

See Also:
  - Constant Field Values

### FIELD_PARENTS

static final String FIELD_PARENTS

See Also:
  - Constant Field Values

### FIELD_BRANCH

static final String FIELD_BRANCH

See Also:
  - Constant Field Values

## Method Details

### getId

String getId()
Description copied from interface: `Document`
Gets the id of the document.

Specified by:
  `getId` in interface `Document`
Specified by:
  `getId` in interface `TypedID`
Returns:

### getRev

int getRev()

### getBranch

Branch getBranch()

### getBranchId

String getBranchId()

### getSummary

String getSummary()

### setSummary

void setSummary(String summary)

### isActive

boolean isActive()

### setActive

void setActive(boolean active)

### getParentChangesetIds

List<String> getParentChangesetIds()

### setParentChangesetIds

void setParentChangesetIds(List<String> parentChangesetIds)

### getTags

String[] getTags()

### hasTag

boolean hasTag(String tag)

### addTag

void addTag(String tag)

### removeTag

void removeTag(String tag)

### listNodes

org.gitana.platform.support.ResultMap<BaseNode> listNodes()